import {Queueable} from '../types'
import {Awaitable} from '../../../util'
import {Inject, Injectable} from '../../../di'
import {Logging} from '../../../service/Logging'
import {CanonicalItemClass} from '../../CanonicalReceiver'

@Injectable()
export abstract class BaseJob extends CanonicalItemClass implements Queueable {
    @Inject()
    protected readonly logging!: Logging

    abstract execute(): Awaitable<void>
}
